#
# spec file for package python-async_generator
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-async_generator
Version:        1.10
Release:        4.1
Summary:        Async generators and context managers for Python 3.5+
License:        Apache-2.0 OR MIT
Group:          Development/Languages/Python
URL:            https://github.com/python-trio/async_generator
Source:         https://files.pythonhosted.org/packages/source/a/async_generator/async_generator-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Python 3.6 added async generators. Python 3.7 adds some more
tools to make them usable, like contextlib.asynccontextmanager.

%prep
%setup -q -n async_generator-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE.MIT
%license LICENSE.APACHE2
%{python_sitelib}/async_generator
%{python_sitelib}/async_generator-%{version}*-info

%changelog
* Tue May 13 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Wed Dec  2 2020 Benjamin Greiner <code@bnavigator.de>
- fix pytest call for multiple python flavors
  gh#openSUSE/python-rpm-macros#66
* Fri Mar  1 2019 Ondřej Súkup <mimi.vx@gmail.com>
- update to 1.10
- remove unnneded deps
- fix licenses
  * Add support for PEP 525-style garbage collection hooks
* Thu May 10 2018 toddrme2178@gmail.com
- Set minimum python3 version
* Tue Mar 27 2018 jengelh@inai.de
- Remove excess markup, rpm descriptions are quite plaintext.
- Fix "Python 35".
* Fri Mar 23 2018 tbechtold@suse.com
- Initial packaging (version 1.9)
